summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-15 18:20:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-15 18:20:56 +0000
commitfba2b9f4c84a3f0c9ff16e5d77e6b995705ef2aa (patch)
treeb5e83b2822844782ce7a7b0516eb76968499d0b2 /dev-python
parent9549199f4a897d4ef2624c395d34f785b74189db (diff)
downloadbaldeagleos-repo-fba2b9f4c84a3f0c9ff16e5d77e6b995705ef2aa.tar.gz
baldeagleos-repo-fba2b9f4c84a3f0c9ff16e5d77e6b995705ef2aa.tar.xz
baldeagleos-repo-fba2b9f4c84a3f0c9ff16e5d77e6b995705ef2aa.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/contourpy/Manifest1
-rw-r--r--dev-python/contourpy/contourpy-1.2.0.ebuild57
-rw-r--r--dev-python/contourpy/contourpy-1.2.1.ebuild2
-rw-r--r--dev-python/contourpy/files/contourpy-1.2.0-unicore.patch83
-rw-r--r--dev-python/dep-logic/Manifest1
-rw-r--r--dev-python/dep-logic/dep-logic-0.4.2.ebuild25
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.108.2.ebuild103
-rw-r--r--dev-python/jsondiff/Manifest1
-rw-r--r--dev-python/jsondiff/jsondiff-2.1.2.ebuild41
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/psycopg/psycopg-3.1.19.ebuild10
-rw-r--r--dev-python/psycopg/psycopg-3.2.0.ebuild10
-rw-r--r--dev-python/psycopg/psycopg-3.2.1.ebuild10
-rw-r--r--dev-python/pypdf/Manifest1
-rw-r--r--dev-python/pypdf/pypdf-4.3.0.ebuild67
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-7.4.0.ebuild141
-rw-r--r--dev-python/validators/Manifest1
-rw-r--r--dev-python/validators/validators-0.33.0.ebuild26
-rw-r--r--dev-python/ytmusicapi/Manifest1
-rw-r--r--dev-python/ytmusicapi/ytmusicapi-1.7.5.ebuild24
-rw-r--r--dev-python/zstandard/Manifest1
-rw-r--r--dev-python/zstandard/zstandard-0.23.0.ebuild76
27 files changed, 557 insertions, 156 deletions
diff --git a/dev-python/contourpy/Manifest b/dev-python/contourpy/Manifest
index 25fde2b430b3..b85d4878838b 100644
--- a/dev-python/contourpy/Manifest
+++ b/dev-python/contourpy/Manifest
@@ -1,2 +1 @@
-DIST contourpy-1.2.0.gh.tar.gz 13440145 BLAKE2B c8082f69c3c8ad2b9a2d7a8e68941f1b741b0527161df371b501a32b8f0572a012aa2184b9f3ea943f45143f218f910180e31371683826d2b9b9431537c72cbd SHA512 91084ca659f796fb49f34840fb08a1a8f2a78ce8264668f5729550b1c46f316933c1d76ed87797bf58a059f0cf63e6efc58c92e44c57787fc8ad1ca16a21aa6e
DIST contourpy-1.2.1.gh.tar.gz 13440991 BLAKE2B 2e792ca990244f7890462b84a2f23e4fbc31fd8ce0a18bc8724767dfa4b5fc0a4271dc6989531423db58d567706a28ce95e680372dbf64bae93a09914353f3ac SHA512 2bb2ac7436cbee1ebc69e6edaf3166e294de32711cec506ce9a3132f1cf20ff8de70af27b432b81abb582c9fe30239f8724f68936908bdbf6348eb249eaae4d5
diff --git a/dev-python/contourpy/contourpy-1.2.0.ebuild b/dev-python/contourpy/contourpy-1.2.0.ebuild
deleted file mode 100644
index ad6289c6db62..000000000000
--- a/dev-python/contourpy/contourpy-1.2.0.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=meson-python
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for calculating contours in 2D quadrilateral grids"
-HOMEPAGE="
- https://pypi.org/project/contourpy/
- https://github.com/contourpy/contourpy/
-"
-SRC_URI="
- https://github.com/contourpy/contourpy/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
-
-RDEPEND="
- >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
-"
-BDEPEND="
- >=dev-python/pybind11-2.6[${PYTHON_USEDEP}]
- test? (
- dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/wurlitzer[${PYTHON_USEDEP}]
- )
-"
-
-DISTUTILS_ARGS=(
- -Dwerror=false
-)
-
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-PATCHES=(
- # https://github.com/contourpy/contourpy/pull/327
- "${FILESDIR}/${P}-unicore.patch"
-)
-
-python_test() {
- local EPYTEST_IGNORE=(
- # linters
- tests/test_codebase.py
- )
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
diff --git a/dev-python/contourpy/contourpy-1.2.1.ebuild b/dev-python/contourpy/contourpy-1.2.1.ebuild
index 55b7e8470ea9..f9c3adc5916a 100644
--- a/dev-python/contourpy/contourpy-1.2.1.ebuild
+++ b/dev-python/contourpy/contourpy-1.2.1.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/numpy-1.20[${PYTHON_USEDEP}]
diff --git a/dev-python/contourpy/files/contourpy-1.2.0-unicore.patch b/dev-python/contourpy/files/contourpy-1.2.0-unicore.patch
deleted file mode 100644
index c25a1807dcd4..000000000000
--- a/dev-python/contourpy/files/contourpy-1.2.0-unicore.patch
+++ /dev/null
@@ -1,83 +0,0 @@
-From f948f821c705329a98bbcdcba5b642fe6c6f0b74 Mon Sep 17 00:00:00 2001
-From: matoro <matoro@users.noreply.github.com>
-Date: Wed, 15 Nov 2023 02:18:49 -0500
-Subject: [PATCH] Support running tests on unicore hosts
-
-All tests pass except those explicitly asserting that they are on a
-multicore system. Adds a conditional skip to those which are only
-useful on multicore hosts.
----
- tests/test_filled.py | 7 +++++--
- tests/test_lines.py | 7 +++++--
- tests/test_misc.py | 8 +-------
- 3 files changed, 11 insertions(+), 11 deletions(-)
-
-diff --git a/tests/test_filled.py b/tests/test_filled.py
-index b239f3b..c41e0d1 100644
---- a/tests/test_filled.py
-+++ b/tests/test_filled.py
-@@ -8,7 +8,7 @@
- from numpy.testing import assert_allclose, assert_array_equal
- import pytest
-
--from contourpy import FillType, contour_generator
-+from contourpy import FillType, contour_generator, max_threads
- from contourpy.util.data import random, simple
-
- from . import util_test
-@@ -734,7 +734,10 @@ def assert_chunk_offsets(offsets_or_none: list[cpy.OffsetArray | None]) -> None:
- @pytest.mark.threads
- @pytest.mark.parametrize("fill_type", FillType.__members__.values())
- @pytest.mark.parametrize("name, thread_count",
-- [("serial", 1), ("threaded", 1), ("threaded", 2)])
-+ [("serial", 1), ("threaded", 1),
-+ pytest.param("threaded", 2,
-+ marks = pytest.mark.skipif(
-+ max_threads() <= 1, reason = "executing on unicore host"))])
- def test_return_by_fill_type_chunk(
- xyz_chunk_test: tuple[cpy.CoordinateArray, ...],
- name: str,
-diff --git a/tests/test_lines.py b/tests/test_lines.py
-index 9608591..0b0833b 100644
---- a/tests/test_lines.py
-+++ b/tests/test_lines.py
-@@ -6,7 +6,7 @@
- from numpy.testing import assert_allclose, assert_array_equal
- import pytest
-
--from contourpy import LineType, contour_generator
-+from contourpy import LineType, contour_generator, max_threads
- from contourpy.util.data import random, simple
-
- from . import util_test
-@@ -707,7 +707,10 @@ def test_return_by_line_type(
- @pytest.mark.threads
- @pytest.mark.parametrize("line_type", LineType.__members__.values())
- @pytest.mark.parametrize("name, thread_count",
-- [("serial", 1), ("threaded", 1), ("threaded", 2)])
-+ [("serial", 1), ("threaded", 1),
-+ pytest.param("threaded", 2,
-+ marks = pytest.mark.skipif(
-+ max_threads() <= 1, reason = "executing on unicore host"))])
- def test_return_by_line_type_chunk(
- xyz_chunk_test: tuple[cpy.CoordinateArray, ...],
- name: str,
-diff --git a/tests/test_misc.py b/tests/test_misc.py
-index 5e46e3f..acd558a 100644
---- a/tests/test_misc.py
-+++ b/tests/test_misc.py
-@@ -2,13 +2,7 @@
-
- import numpy as np
-
--from contourpy import _remove_z_mask, contour_generator, max_threads
--
--
--def test_max_threads() -> None:
-- n = max_threads()
-- # Assume testing on machine with 2 or more cores.
-- assert n > 1
-+from contourpy import _remove_z_mask, contour_generator
-
-
- def test_nan() -> None:
diff --git a/dev-python/dep-logic/Manifest b/dev-python/dep-logic/Manifest
index cbb71cd6c1ff..6af3d73515d4 100644
--- a/dev-python/dep-logic/Manifest
+++ b/dev-python/dep-logic/Manifest
@@ -1,2 +1,3 @@
DIST dep_logic-0.3.5.tar.gz 33880 BLAKE2B 0aa7b2ef7408e0c3a0a81d2cd1fc11037e633a521aff5b673e2c9c4efc535ff59d0991daa9ee50b859302a25cfcdaf94406950358a150cd173d627e87b497a51 SHA512 7ceb90c4cf8d98a192dca94206c363e6bc5d68fa596f18c64374f1512afbfa33339b739343ed7663bba6a94d8c6a573e62bf46fecccb01d0d87827a810d0f4d9
DIST dep_logic-0.4.1.tar.gz 34727 BLAKE2B 08475ec5f6836f853d2406be6fad2d00df54498555902e61987f1e7b61bfa99a769b5d7472e56fb8e27063f1129a8c989f49ae69f4c8dd8c5c1482995aae5c20 SHA512 da0445f126877281764c182550d14e8b549b6cd344ec61780d993c223c00829b003837d0cdbd78c905f1bb0eec90a24f24e55501d3a2e291c0d417f21486d854
+DIST dep_logic-0.4.2.tar.gz 34743 BLAKE2B e3d520f935034c5dacf3dbe123eacb2adb45a3b6d6e13c23d3c21c9d36af56093f504660c621ba586335930963243298d5284b41a29247fb9904bff13da7c724 SHA512 7a522e74cf6537ff644e785489c9a17108910d42769abfbc31dcdffde1d36e79c0cc76c98cd289982877296aab451a6963ee039dd258be67e0e82d2c81fd219b
diff --git a/dev-python/dep-logic/dep-logic-0.4.2.ebuild b/dev-python/dep-logic/dep-logic-0.4.2.ebuild
new file mode 100644
index 000000000000..0be9fa5f44dd
--- /dev/null
+++ b/dev-python/dep-logic/dep-logic-0.4.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python dependency specifications supporting logical operations"
+HOMEPAGE="
+ https://github.com/pdm-project/dep-logic/
+ https://pypi.org/project/dep-logic/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 97adefd19988..30adf0448b8a 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.104.1.gh.tar.gz 9466716 BLAKE2B 5ddefd5199bfb22ef8c2c2ae995de5353e7d067f044788f4cd9423cfa4674ff1c5a05760d686f4b4dd5fe9afb2b4ba1cdb38aa7d590575f79d75c460adde63ab SHA512 a9eef39e3cc8fde806cb860f47190239a680c3203ca0228450a7c999ee9618964e201c05a994835e5513f7945b3a5f830fd9fa941d4cfdf4793e5e2fb266df47
DIST hypothesis-6.107.0.gh.tar.gz 9470192 BLAKE2B 721d9ee1281600bca8387e396c1d79316db3130061ac40635f8cb8ba3cf91ad0417debe1276efb21cadf5e5f8ae856d13b82fc674313a21549adff645ce07b1f SHA512 13403073167d24e80fec4ed256a60e696b79b900a45dbd9f349b123fbefe3c7fa5daac6f35200d5198d4565033b65792cd1fd8a7816955aeddbbc0c7bb93d578
DIST hypothesis-6.108.0.gh.tar.gz 9472307 BLAKE2B 778c0c33b29fdf933d8321f0b5f0b7c14390ee5511da2290c398c47a9c787274430a3465ab0084aece7363112a7de2465bd1ab0e00984eca067ec672915079d0 SHA512 93b3028025a3c799a796b8781551b04d1eeb9ca41b924c17a275c394f25a552d33a0fd0fa28f24bf0d39eb8dc85d4af57979d9f3321b6901ddc0c56695deef5b
+DIST hypothesis-6.108.2.gh.tar.gz 9472513 BLAKE2B 1d3175fe390699e503d1341274461b5855cbfb934760ce47f53a546193ac71b66f06dbb8089c6af7a623a2cc6c62416f35851bb69ef49f13f622b7cefea37c6c SHA512 967b5f6372d5fd32aaf8258e03dca8d0f794908d34883295269ad271f8d0a89a5a433ba170d22a844d27c0145e74ee6c656577055b89aaa4e354955f93f5a55c
diff --git a/dev-python/hypothesis/hypothesis-6.108.2.ebuild b/dev-python/hypothesis/hypothesis-6.108.2.ebuild
new file mode 100644
index 000000000000..6ba8058fdf38
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.108.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jsondiff/Manifest b/dev-python/jsondiff/Manifest
index ac7eac81ab55..24243db80cda 100644
--- a/dev-python/jsondiff/Manifest
+++ b/dev-python/jsondiff/Manifest
@@ -1,3 +1,4 @@
DIST jsondiff-2.0.0-nose2pytest.diff 11525 BLAKE2B e1e9f6996448c5f8454a74dbe5782684d68cbb00eae1793fd010bccd80b682e6f3869082df9546603ce87bee82a99148a948db675b1da8f2815e5290eb632763 SHA512 791e4f8473459e374892067cf90099df23d981857b81cc164e2d0c35c51cbbede160de1b46474b6cb817b8811e2481172807eff31847a7847fc847948cf402f7
DIST jsondiff-2.0.0.gh.tar.gz 15405 BLAKE2B d69e5a9316e8ce32c6fd3e62162b609a471ff57bacb77f47a192b85352e77135a37c964d0ade5df4b4e37fe7d996eab13649dd4c6a3bc3fc0479294f840c82f9 SHA512 ca266040294c064b499763174613628125a9d426f37eddb8f63806d5774ce8828d514ca30ea4b42f6e2529aa34344c601ece05b6c1b42dcedd71c7b62ed0afba
DIST jsondiff-2.1.1.gh.tar.gz 18691 BLAKE2B 4b58ce8d637b139c233860f21a98e6561f620bcabb8239e651bc34300163684f16ebbc8c1cd4d619ce7ffdd118e78db497a2897b176727942594c3ac8c7c41cf SHA512 d906cce6ff94e475f079e9ef2210fbb200a134ac3723cf36f3737c2bc722892eef74860c30feba7961b75b320882bed74921150173852b5154406259184715a5
+DIST jsondiff-2.1.2.gh.tar.gz 22307 BLAKE2B 33a95eb842659e4d0d02aa7f591f942e5bc1b361e99860fbda57d7743cbed9951a4509571e53a44c66c6c7ecccd90985abeb577a80c2f8c7cb58b104e0e409e9 SHA512 c4d8aac26a2c094178ff21dc7f3aee919bf49c18fd2b0ffdb993c32fb2575b18b60b49db784a14059709ecaf928eb8ff18ca1731e2ed26dd587c69d40adca260
diff --git a/dev-python/jsondiff/jsondiff-2.1.2.ebuild b/dev-python/jsondiff/jsondiff-2.1.2.ebuild
new file mode 100644
index 000000000000..a44c2df36e69
--- /dev/null
+++ b/dev-python/jsondiff/jsondiff-2.1.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Diff JSON and JSON-like structures in Python"
+HOMEPAGE="
+ https://github.com/xlwings/jsondiff/
+ https://pypi.org/project/jsondiff/
+"
+SRC_URI="
+ https://github.com/xlwings/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index 37a64204a00a..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index c09b7356f549..630fe63c6f53 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..736a1167c898 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,12 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/psycopg/psycopg-3.1.19.ebuild b/dev-python/psycopg/psycopg-3.1.19.ebuild
index 8871b3c0f556..bd146bba8d30 100644
--- a/dev-python/psycopg/psycopg-3.1.19.ebuild
+++ b/dev-python/psycopg/psycopg-3.1.19.ebuild
@@ -7,7 +7,7 @@ DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-inherit distutils-r1
+inherit distutils-r1 flag-o-matic
DESCRIPTION="PostgreSQL database adapter for Python"
HOMEPAGE="
@@ -52,6 +52,14 @@ BDEPEND="
distutils_enable_tests pytest
python_compile() {
+ # -Werror=strict-aliasing
+ # https://bugs.gentoo.org/935401
+ # https://github.com/psycopg/psycopg/issues/867
+ #
+ # Do not trust with LTO either.
+ append-flags -fno-strict-aliasing
+ filter-lto
+
# Python code + ctypes backend
cd psycopg || die
distutils-r1_python_compile
diff --git a/dev-python/psycopg/psycopg-3.2.0.ebuild b/dev-python/psycopg/psycopg-3.2.0.ebuild
index ac1298aa350e..d7ff700b5765 100644
--- a/dev-python/psycopg/psycopg-3.2.0.ebuild
+++ b/dev-python/psycopg/psycopg-3.2.0.ebuild
@@ -7,7 +7,7 @@ DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-inherit distutils-r1
+inherit distutils-r1 flag-o-matic
DESCRIPTION="PostgreSQL database adapter for Python"
HOMEPAGE="
@@ -54,6 +54,14 @@ BDEPEND="
distutils_enable_tests pytest
python_compile() {
+ # -Werror=strict-aliasing
+ # https://bugs.gentoo.org/935401
+ # https://github.com/psycopg/psycopg/issues/867
+ #
+ # Do not trust with LTO either.
+ append-flags -fno-strict-aliasing
+ filter-lto
+
# Python code + ctypes backend
cd psycopg || die
distutils-r1_python_compile
diff --git a/dev-python/psycopg/psycopg-3.2.1.ebuild b/dev-python/psycopg/psycopg-3.2.1.ebuild
index ac1298aa350e..d7ff700b5765 100644
--- a/dev-python/psycopg/psycopg-3.2.1.ebuild
+++ b/dev-python/psycopg/psycopg-3.2.1.ebuild
@@ -7,7 +7,7 @@ DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-inherit distutils-r1
+inherit distutils-r1 flag-o-matic
DESCRIPTION="PostgreSQL database adapter for Python"
HOMEPAGE="
@@ -54,6 +54,14 @@ BDEPEND="
distutils_enable_tests pytest
python_compile() {
+ # -Werror=strict-aliasing
+ # https://bugs.gentoo.org/935401
+ # https://github.com/psycopg/psycopg/issues/867
+ #
+ # Do not trust with LTO either.
+ append-flags -fno-strict-aliasing
+ filter-lto
+
# Python code + ctypes backend
cd psycopg || die
distutils-r1_python_compile
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 553a63109660..0ae163f55757 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,2 +1,3 @@
DIST pypdf-4.2.0.gh.tar.gz 8009612 BLAKE2B a21108679a6dd5d9bc16aaf4a9c1beaaab875f0a8f974722d6d318635eecee82bc37c7c4c175816079ce9604f8b88f07f31458b08994833a25ee18bc46cbc294 SHA512 99fe599a81ae7e115ee6fca82ffabaff613ee49756a7e937de32a4d59b5731effe5cc3a076d92423b2299896a6ecab41ab5096aea6836fec79ba637e2c7b7620
+DIST pypdf-4.3.0.gh.tar.gz 8015836 BLAKE2B 691e729050e7e6d052d8f4ccf1698b2cd6685c007026036b98c321bf9cd007abf8830ffe5281bdabab1b57afb6e6015e631e8e62104d144de98ed270f8ba992e SHA512 ba0cb8815d889742e2f0155e9b296b483e29c22ef2ecff3779c05baae3132900827f1b6f9a155bf4a2ae2f442727ae0fe310e322d0211cb43ee821cd8f6d411c
DIST pypdf-sample-files-8c405ece5eff12396a34a1fae3276132002e1753.gh.tar.gz 11748093 BLAKE2B c5989200893b28a3c2062bb024a5cfc6f3389dc259ec129857979fa43469e1274559612b4d555499e2c7e16cf34be07825229932bf4d147fa6d7324d043e97d5 SHA512 c9771129b7668a2fd1fa79bb859ae9213f3d60341cf1b9937ff0eaab0de9bf4c35adcb7b896e93329038dc0f3809a0c697c523f8fe41b43030b0b029a88058e3
diff --git a/dev-python/pypdf/pypdf-4.3.0.ebuild b/dev-python/pypdf/pypdf-4.3.0.ebuild
new file mode 100644
index 000000000000..656b4069fadd
--- /dev/null
+++ b/dev-python/pypdf/pypdf-4.3.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=8c405ece5eff12396a34a1fae3276132002e1753
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,zlib,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/test_reader.py::test_decode_permissions
+ tests/test_workflows.py::test_text_extraction_layout_mode
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ tests/test_writer.py::test_remove_image_per_type
+ tests/test_generic.py::test_name_object
+ # Internet
+ tests/test_generic.py::test_calling_indirect_objects
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 8d26b2d8487b..527315057dd6 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-7.2.6.gh.tar.gz 7067425 BLAKE2B 4da1cb5ccebea4df0dc134c552311d7b70ce9b76424ea4355ad67b1ece60c9b445e56c96b838832d4df2f50940832b3fa9555b596390464a4017a573bcf514c3 SHA512 204e859318ad5044639f2e682098b07c7cc675b54ba801feeb3322290bfd15316cc15a2cae8fa6a55e6ec6d1e9690790e5402652eb04720bfe96e172f4c8bdbc
DIST sphinx-7.3.7.gh.tar.gz 7165383 BLAKE2B bcc68f26937e6aefe60cedea533a5c8e245c76b59ab4913fb6516f285e3afc32be60b336c662ac8305fb88e82fcc2b477128f2d8b9bf92f037b124f4c855df2a SHA512 540553ecddc55b3e673c79bc776a899d2c660f1e93ef819711be52174accf5b70465883a46bed81d163534e56718caf0765b4bae153e9307a3792387d8228df5
+DIST sphinx-7.4.0.gh.tar.gz 8186356 BLAKE2B 968d2bc887c6326c44c741cfdfeb67bb303c718d4283d8149b1ab7bafa84ef7f3ef5ff3fd72b82a207846e91bda3fff72ed6c8953c1bcf8482bc79b992f636f3 SHA512 fea84f86e414bba741537f4db68a1f0e0922f8fe6eea5e0eefac4a76bfb30d5eb97eb5590404c7e427b03c57b589844ebba8ef5f3f6d786ca91bb2dbbc704d8f
diff --git a/dev-python/sphinx/sphinx-7.4.0.ebuild b/dev-python/sphinx/sphinx-7.4.0.ebuild
new file mode 100644
index 000000000000..ae5dfe3be3ca
--- /dev/null
+++ b/dev-python/sphinx/sphinx-7.4.0.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ >=dev-python/alabaster-0.7.14[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.13[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.22[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.2[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2[${PYTHON_USEDEP}]
+ ' 3.10)
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ #"${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # less interesting failures
+ tests/test_builders/test_build_latex.py::test_build_latex_doc
+ tests/test_extensions/test_ext_math.py::test_imgmath_png
+ tests/test_extensions/test_ext_math.py::test_imgmath_numfig_html
+ )
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_special_members
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_format_fully_qualified
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_none
+ tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ )
+ ;;
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_exception
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_ignore_module_all
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_extensions/test_ext_autodoc.py::test_autodoc_subclass_of_builtin_class
+ tests/test_extensions/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_extensions/test_ext_autodoc.py::test_cython
+ tests/test_extensions/test_ext_autodoc.py::test_format_signature
+ tests/test_extensions/test_ext_autodoc.py::test_partialfunction
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_extensions/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_extensions/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_extensions/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_extensions/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+ tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util/test_util_inspect.py::test_signature
+ tests/test_util/test_util_typing.py::test_is_invalid_builtin_class
+ )
+ ;;
+ esac
+
+ # note: pytest-xdist causes random test failures
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/validators/Manifest b/dev-python/validators/Manifest
index a7e71cf11ada..b4b822426dda 100644
--- a/dev-python/validators/Manifest
+++ b/dev-python/validators/Manifest
@@ -3,3 +3,4 @@ DIST validators-0.29.0.tar.gz 67150 BLAKE2B 9c202b91dd8125e2d4dc62fdf0ebd5313fd4
DIST validators-0.30.0.tar.gz 68553 BLAKE2B 96a59c2155fa0a33c12502e36fb517b068a56edba7c161e722cea8832190a407b4a4c81beb85845239b7e76622e4fa31ff577b5278787fd7bbe441133762731f SHA512 96247ccf9ea5db12f6b405971aac11f834f64a83b7e6efdc6d04c81a9ff2901ece786bc2ad2301c738ff0eae8031a6aa2a1fef629048e61c2f365ab172408f46
DIST validators-0.31.0.tar.gz 69295 BLAKE2B 3bb7b9648ee434b1238df45d0adfec3ad74a8a8cbf46e66714f542288bf403464756b1a229060c07d47f01a546cc7902c794fe5b021ccab1c8eb828dd6aa965a SHA512 5c5101941b5b60722d9ef5bee993b4847fecfc926bbf8bf1bef96a21dad4f90adc1838778299bb95d3f3b891cb3ea9964d00ba1eec6f2fa16d790b4614094c8b
DIST validators-0.32.0.tar.gz 69788 BLAKE2B 5d0eddae8c71d8ad0b9b646244502198ece878769c873691dc94dd0be2e87fb899a9a6e3593debd5195914ce5edb2f00f6563e16b1685d58259d1e0d9ef453c8 SHA512 34a68e8a3f7cb1a0489b7cfd4987fa44a1faea8be1e063fcda6cca3e010044ab3ea5b87c3c04fadbaa9dd6513b3ab32de72ec9a833428ed5f82b3df8d0d453f0
+DIST validators-0.33.0.tar.gz 70741 BLAKE2B e999d1ea14e2240523537804931fc91f5eb02d4ff35b22e8a292ff8785493ce48cd14ccf0d87ce945739c3e65a79b3a7654a66412bcc41e4e37e0fd87eefad72 SHA512 611844e182319209a2f6305daf3fcfc1801d9ad32179eaa9651844df37bd3d1d42bfd1e69be1e2c4fcd811a231228bc748a12dd6583248d5b572394cb9c9d858
diff --git a/dev-python/validators/validators-0.33.0.ebuild b/dev-python/validators/validators-0.33.0.ebuild
new file mode 100644
index 000000000000..fb830b053fda
--- /dev/null
+++ b/dev-python/validators/validators-0.33.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Data Validation for Humans"
+HOMEPAGE="
+ https://github.com/python-validators/validators/
+ https://pypi.org/project/validators/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires eth-hash
+ tests/crypto_addresses/test_eth_address.py
+)
diff --git a/dev-python/ytmusicapi/Manifest b/dev-python/ytmusicapi/Manifest
index bb38cab0cccd..104267ad81a8 100644
--- a/dev-python/ytmusicapi/Manifest
+++ b/dev-python/ytmusicapi/Manifest
@@ -1,2 +1,3 @@
DIST ytmusicapi-1.7.3.tar.gz 277265 BLAKE2B 1461450fb2c1ceff63703f26c89aa6947cfca7ecae13232dadc207a20361e36ec43a03718dd5b0d63a84e69a5e77eae722fa06b3f1036183f65bbf5ee0fc1ebe SHA512 fa305e8a07c668270db27ea537101862ad78f8c1d353f4f5d98cefdfbcdf1388195e250f65076b1fc0aba5f95951d6b9ff76ca71201e9b35cd1af3fa6fd4476b
DIST ytmusicapi-1.7.4.tar.gz 277715 BLAKE2B 6210c7666281e1b118a28571fe5852c319d252fbda19ec160a03c0a8a17c4a629e50794064bc86667aaa4d16a1937d3a7445abcf19da7d0094d064db99933e9b SHA512 98f00cc86eb749867ff69a7a5d8b3ea75b00072bb3001a2a087a07e44dab2f0793af2c90527858258929b2638a11f0271bc3949153e437ebc312d01377c9c635
+DIST ytmusicapi-1.7.5.tar.gz 277989 BLAKE2B 18cedc9ecaa5f2220b81dd831102cab6aa7dedcd745be9d561d79b2c7ecc2e31973e9d4671bcdc79827da64f76102dd984a430222b94dff5a6b418df85c1dde6 SHA512 f5c9d2bd5deb45a8d834a262d3d45f7691c1a86a3a67f0b5e3129940f323a1b6f4e50f17e66a9b843f28ca0b04db9e9b2fc873f1edbf147ab915f399d38e386a
diff --git a/dev-python/ytmusicapi/ytmusicapi-1.7.5.ebuild b/dev-python/ytmusicapi/ytmusicapi-1.7.5.ebuild
new file mode 100644
index 000000000000..7cc8b0851928
--- /dev/null
+++ b/dev-python/ytmusicapi/ytmusicapi-1.7.5.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unofficial API for YouTube Music"
+HOMEPAGE="https://ytmusicapi.readthedocs.io/
+ https://github.com/sigma67/ytmusicapi/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme
diff --git a/dev-python/zstandard/Manifest b/dev-python/zstandard/Manifest
index fdbd0080f3d1..b7eea7e0b7c9 100644
--- a/dev-python/zstandard/Manifest
+++ b/dev-python/zstandard/Manifest
@@ -1 +1,2 @@
DIST python-zstandard-0.22.0.gh.tar.gz 707644 BLAKE2B ce400120f9106d729b50ae091a581f4a9fb2e796ec0872cb7db393aa7a55cf6e22cbff79c3ff780b4f609fbd8289a9744cbdfc730ba51cb09ee4e7c56b1dac9e SHA512 b3041217ad4b6297d0727dd5d22bc83645d43fa591985bef43e8633feb960310a3f2eb1edaa133595941a6932683af91d565266f312c987e6b6c514ce70c9ddb
+DIST python-zstandard-0.23.0.gh.tar.gz 732448 BLAKE2B 920b53dc4a221059411062229ddf0ff51c478c2212e5599dec21298fef8e30b7a160c2f7d958ef95251ce5fb1357eaf4a8c3e4eca37304ef7a43176f723f3394 SHA512 06d799f8c5e89e5cc2f5b8ff100aeb3c3ff938757ce39852affb075487f65406d7d3f6d611b1864ec025fff86a51bf15b80c8af6260beda050b4fef5b7edd206
diff --git a/dev-python/zstandard/zstandard-0.23.0.ebuild b/dev-python/zstandard/zstandard-0.23.0.ebuild
new file mode 100644
index 000000000000..80354ab4856a
--- /dev/null
+++ b/dev-python/zstandard/zstandard-0.23.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-zstandard-${PV}
+DESCRIPTION="Zstandard Bindings for Python"
+HOMEPAGE="
+ https://github.com/indygreg/python-zstandard/
+ https://pypi.org/project/zstandard/
+"
+SRC_URI="
+ https://github.com/indygreg/python-zstandard/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+DEPEND="
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0-r2:=[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # the C backend is repeatedly broken, so force CFFI instead
+ sed -e '/PYTHON_ZSTANDARD_IMPORT_POLICY/s:default:cffi:' \
+ -i zstandard/__init__.py || die
+ # unbundle zstd
+ rm zstd/* || die
+ > zstd/zstd.c || die
+ # it does random preprocessing on that, so we can't use #include
+ local f
+ for f in zdict.h zstd.h; do
+ cp "${ESYSROOT}/usr/include/${f}" "zstd/${f}" || die
+ done
+ sed -i -e '/include_dirs/a libraries=["zstd"],' make_cffi.py || die
+
+ distutils-r1_src_prepare
+
+ DISTUTILS_ARGS=(
+ --no-c-backend
+ )
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # unreliable, fails on x86
+ tests/test_data_structures.py::TestCompressionParameters::test_estimated_compression_context_size
+ # check for bundled zstd version, fails on other system zstd
+ tests/test_module_attributes.py::TestModuleAttributes::test_version
+ )
+
+ rm -rf zstandard || die
+ epytest
+}